// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 56;
	objects = {

/* Begin PBXBuildFile section */
		968A6F642B5F4C99008609EE /* demoApp.swift in Sources */ = {isa = PBXBuildFile; fileRef = 968A6F632B5F4C99008609EE /* demoApp.swift */; };
		968A6F6A2B5F4C9B008609EE /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 968A6F692B5F4C9B008609EE /* Assets.xcassets */; };
		968A6F6D2B5F4C9B008609EE /* Preview Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 968A6F6C2B5F4C9B008609EE /* Preview Assets.xcassets */; };
		968A6F792B5F4E28008609EE /* TabBarView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 968A6F782B5F4E28008609EE /* TabBarView.swift */; };
		968A6F7C2B5F4E63008609EE /* TabBar.swift in Sources */ = {isa = PBXBuildFile; fileRef = 968A6F7B2B5F4E63008609EE /* TabBar.swift */; };
		968A6F7F2B5F4E91008609EE /* HomeView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 968A6F7E2B5F4E91008609EE /* HomeView.swift */; };
		968A6F822B5F4EA1008609EE /* MallView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 968A6F812B5F4EA1008609EE /* MallView.swift */; };
		968A6F852B5F4EB2008609EE /* MessageView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 968A6F842B5F4EB2008609EE /* MessageView.swift */; };
		968A6F882B5F4EC4008609EE /* UserView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 968A6F872B5F4EC4008609EE /* UserView.swift */; };
		968A6F8A2B5F6421008609EE /* GoodsDetailView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 968A6F892B5F6421008609EE /* GoodsDetailView.swift */; };
		968A6F8C2B5F67ED008609EE /* OrdersView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 968A6F8B2B5F67ED008609EE /* OrdersView.swift */; };
		968A6F8E2B5F67F8008609EE /* OrderDetailView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 968A6F8D2B5F67F8008609EE /* OrderDetailView.swift */; };
		968A6F922B5F681C008609EE /* AccountView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 968A6F912B5F681C008609EE /* AccountView.swift */; };
		968A6F952B5F6836008609EE /* BalanceView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 968A6F942B5F6836008609EE /* BalanceView.swift */; };
		968A6F972B5F683E008609EE /* CouponView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 968A6F962B5F683E008609EE /* CouponView.swift */; };
		968A6F992B5F6860008609EE /* NoticeView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 968A6F982B5F6860008609EE /* NoticeView.swift */; };
		968A6F9B2B5F686D008609EE /* NoticeListView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 968A6F9A2B5F686D008609EE /* NoticeListView.swift */; };
		968A6F9E2B5F688A008609EE /* LoginView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 968A6F9D2B5F688A008609EE /* LoginView.swift */; };
		968A6FA02B5F6893008609EE /* RegisterView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 968A6F9F2B5F6893008609EE /* RegisterView.swift */; };
		968A6FA22B5F68AA008609EE /* ForgotView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 968A6FA12B5F68AA008609EE /* ForgotView.swift */; };
		968A6FA42B5F68B8008609EE /* LicenceView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 968A6FA32B5F68B8008609EE /* LicenceView.swift */; };
		968A6FA62B5F6ADC008609EE /* SearchView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 968A6FA52B5F6ADC008609EE /* SearchView.swift */; };
		968A6FA82B5F6AF3008609EE /* CartView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 968A6FA72B5F6AF3008609EE /* CartView.swift */; };
		968A6FAA2B5F6B07008609EE /* CategoryView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 968A6FA92B5F6B07008609EE /* CategoryView.swift */; };
		968A6FAC2B5F6B1C008609EE /* GoodsCommentsView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 968A6FAB2B5F6B1C008609EE /* GoodsCommentsView.swift */; };
		968A6FAE2B5FA329008609EE /* CamelPrice.swift in Sources */ = {isa = PBXBuildFile; fileRef = 968A6FAD2B5FA329008609EE /* CamelPrice.swift */; };
		968A6FB02B5FBB86008609EE /* GoodsCard.swift in Sources */ = {isa = PBXBuildFile; fileRef = 968A6FAF2B5FBB86008609EE /* GoodsCard.swift */; };
		968A6FB22B5FC3A2008609EE /* ShowMore.swift in Sources */ = {isa = PBXBuildFile; fileRef = 968A6FB12B5FC3A2008609EE /* ShowMore.swift */; };
		968A6FB42B610C67008609EE /* KillCountDown.swift in Sources */ = {isa = PBXBuildFile; fileRef = 968A6FB32B610C67008609EE /* KillCountDown.swift */; };
		968A6FB62B6113BE008609EE /* UserAccountCard.swift in Sources */ = {isa = PBXBuildFile; fileRef = 968A6FB52B6113BE008609EE /* UserAccountCard.swift */; };
		968A6FB82B6113FF008609EE /* UserAccountCardModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 968A6FB72B6113FF008609EE /* UserAccountCardModel.swift */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		968A6F602B5F4C99008609EE /* demo.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = demo.app; sourceTree = BUILT_PRODUCTS_DIR; };
		968A6F632B5F4C99008609EE /* demoApp.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = demoApp.swift; sourceTree = "<group>"; };
		968A6F692B5F4C9B008609EE /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		968A6F6C2B5F4C9B008609EE /* Preview Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = "Preview Assets.xcassets"; sourceTree = "<group>"; };
		968A6F782B5F4E28008609EE /* TabBarView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TabBarView.swift; sourceTree = "<group>"; };
		968A6F7B2B5F4E63008609EE /* TabBar.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TabBar.swift; sourceTree = "<group>"; };
		968A6F7E2B5F4E91008609EE /* HomeView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HomeView.swift; sourceTree = "<group>"; };
		968A6F812B5F4EA1008609EE /* MallView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MallView.swift; sourceTree = "<group>"; };
		968A6F842B5F4EB2008609EE /* MessageView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MessageView.swift; sourceTree = "<group>"; };
		968A6F872B5F4EC4008609EE /* UserView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = UserView.swift; sourceTree = "<group>"; };
		968A6F892B5F6421008609EE /* GoodsDetailView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = GoodsDetailView.swift; sourceTree = "<group>"; };
		968A6F8B2B5F67ED008609EE /* OrdersView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = OrdersView.swift; sourceTree = "<group>"; };
		968A6F8D2B5F67F8008609EE /* OrderDetailView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = OrderDetailView.swift; sourceTree = "<group>"; };
		968A6F912B5F681C008609EE /* AccountView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AccountView.swift; sourceTree = "<group>"; };
		968A6F942B5F6836008609EE /* BalanceView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BalanceView.swift; sourceTree = "<group>"; };
		968A6F962B5F683E008609EE /* CouponView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CouponView.swift; sourceTree = "<group>"; };
		968A6F982B5F6860008609EE /* NoticeView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NoticeView.swift; sourceTree = "<group>"; };
		968A6F9A2B5F686D008609EE /* NoticeListView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NoticeListView.swift; sourceTree = "<group>"; };
		968A6F9D2B5F688A008609EE /* LoginView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LoginView.swift; sourceTree = "<group>"; };
		968A6F9F2B5F6893008609EE /* RegisterView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = RegisterView.swift; sourceTree = "<group>"; };
		968A6FA12B5F68AA008609EE /* ForgotView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ForgotView.swift; sourceTree = "<group>"; };
		968A6FA32B5F68B8008609EE /* LicenceView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LicenceView.swift; sourceTree = "<group>"; };
		968A6FA52B5F6ADC008609EE /* SearchView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SearchView.swift; sourceTree = "<group>"; };
		968A6FA72B5F6AF3008609EE /* CartView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CartView.swift; sourceTree = "<group>"; };
		968A6FA92B5F6B07008609EE /* CategoryView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CategoryView.swift; sourceTree = "<group>"; };
		968A6FAB2B5F6B1C008609EE /* GoodsCommentsView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = GoodsCommentsView.swift; sourceTree = "<group>"; };
		968A6FAD2B5FA329008609EE /* CamelPrice.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CamelPrice.swift; sourceTree = "<group>"; };
		968A6FAF2B5FBB86008609EE /* GoodsCard.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = GoodsCard.swift; sourceTree = "<group>"; };
		968A6FB12B5FC3A2008609EE /* ShowMore.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ShowMore.swift; sourceTree = "<group>"; };
		968A6FB32B610C67008609EE /* KillCountDown.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = KillCountDown.swift; sourceTree = "<group>"; };
		968A6FB52B6113BE008609EE /* UserAccountCard.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = UserAccountCard.swift; sourceTree = "<group>"; };
		968A6FB72B6113FF008609EE /* UserAccountCardModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = UserAccountCardModel.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		968A6F5D2B5F4C99008609EE /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		968A6F572B5F4C99008609EE = {
			isa = PBXGroup;
			children = (
				968A6F622B5F4C99008609EE /* demo */,
				968A6F612B5F4C99008609EE /* Products */,
			);
			sourceTree = "<group>";
		};
		968A6F612B5F4C99008609EE /* Products */ = {
			isa = PBXGroup;
			children = (
				968A6F602B5F4C99008609EE /* demo.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		968A6F622B5F4C99008609EE /* demo */ = {
			isa = PBXGroup;
			children = (
				968A6F762B5F4E0D008609EE /* Components */,
				968A6F752B5F4DFD008609EE /* Views */,
				968A6F742B5F4DF9008609EE /* Models */,
				968A6F732B5F4DF3008609EE /* Controllers */,
				968A6F632B5F4C99008609EE /* demoApp.swift */,
				968A6F692B5F4C9B008609EE /* Assets.xcassets */,
				968A6F6B2B5F4C9B008609EE /* Preview Content */,
			);
			path = demo;
			sourceTree = "<group>";
		};
		968A6F6B2B5F4C9B008609EE /* Preview Content */ = {
			isa = PBXGroup;
			children = (
				968A6F6C2B5F4C9B008609EE /* Preview Assets.xcassets */,
			);
			path = "Preview Content";
			sourceTree = "<group>";
		};
		968A6F732B5F4DF3008609EE /* Controllers */ = {
			isa = PBXGroup;
			children = (
			);
			path = Controllers;
			sourceTree = "<group>";
		};
		968A6F742B5F4DF9008609EE /* Models */ = {
			isa = PBXGroup;
			children = (
				968A6F7B2B5F4E63008609EE /* TabBar.swift */,
				968A6FB72B6113FF008609EE /* UserAccountCardModel.swift */,
			);
			path = Models;
			sourceTree = "<group>";
		};
		968A6F752B5F4DFD008609EE /* Views */ = {
			isa = PBXGroup;
			children = (
				968A6F9C2B5F687E008609EE /* Auth */,
				968A6F862B5F4EB6008609EE /* User */,
				968A6F832B5F4EAA008609EE /* Message */,
				968A6F802B5F4E97008609EE /* Mall */,
				968A6F7D2B5F4E88008609EE /* Home */,
				968A6F772B5F4E19008609EE /* Layouts */,
			);
			path = Views;
			sourceTree = "<group>";
		};
		968A6F762B5F4E0D008609EE /* Components */ = {
			isa = PBXGroup;
			children = (
				968A6FAD2B5FA329008609EE /* CamelPrice.swift */,
				968A6FAF2B5FBB86008609EE /* GoodsCard.swift */,
				968A6FB12B5FC3A2008609EE /* ShowMore.swift */,
				968A6FB32B610C67008609EE /* KillCountDown.swift */,
				968A6FB52B6113BE008609EE /* UserAccountCard.swift */,
			);
			path = Components;
			sourceTree = "<group>";
		};
		968A6F772B5F4E19008609EE /* Layouts */ = {
			isa = PBXGroup;
			children = (
				968A6F782B5F4E28008609EE /* TabBarView.swift */,
			);
			path = Layouts;
			sourceTree = "<group>";
		};
		968A6F7D2B5F4E88008609EE /* Home */ = {
			isa = PBXGroup;
			children = (
				968A6F7E2B5F4E91008609EE /* HomeView.swift */,
				968A6F982B5F6860008609EE /* NoticeView.swift */,
				968A6F9A2B5F686D008609EE /* NoticeListView.swift */,
				968A6FA52B5F6ADC008609EE /* SearchView.swift */,
			);
			path = Home;
			sourceTree = "<group>";
		};
		968A6F802B5F4E97008609EE /* Mall */ = {
			isa = PBXGroup;
			children = (
				968A6F812B5F4EA1008609EE /* MallView.swift */,
				968A6F892B5F6421008609EE /* GoodsDetailView.swift */,
				968A6FA72B5F6AF3008609EE /* CartView.swift */,
				968A6FA92B5F6B07008609EE /* CategoryView.swift */,
				968A6FAB2B5F6B1C008609EE /* GoodsCommentsView.swift */,
			);
			path = Mall;
			sourceTree = "<group>";
		};
		968A6F832B5F4EAA008609EE /* Message */ = {
			isa = PBXGroup;
			children = (
				968A6F842B5F4EB2008609EE /* MessageView.swift */,
			);
			path = Message;
			sourceTree = "<group>";
		};
		968A6F862B5F4EB6008609EE /* User */ = {
			isa = PBXGroup;
			children = (
				968A6F902B5F6810008609EE /* Account */,
				968A6F872B5F4EC4008609EE /* UserView.swift */,
				968A6F8F2B5F67FE008609EE /* Order */,
			);
			path = User;
			sourceTree = "<group>";
		};
		968A6F8F2B5F67FE008609EE /* Order */ = {
			isa = PBXGroup;
			children = (
				968A6F8B2B5F67ED008609EE /* OrdersView.swift */,
				968A6F8D2B5F67F8008609EE /* OrderDetailView.swift */,
			);
			path = Order;
			sourceTree = "<group>";
		};
		968A6F902B5F6810008609EE /* Account */ = {
			isa = PBXGroup;
			children = (
				968A6F912B5F681C008609EE /* AccountView.swift */,
				968A6F942B5F6836008609EE /* BalanceView.swift */,
				968A6F962B5F683E008609EE /* CouponView.swift */,
			);
			path = Account;
			sourceTree = "<group>";
		};
		968A6F9C2B5F687E008609EE /* Auth */ = {
			isa = PBXGroup;
			children = (
				968A6F9D2B5F688A008609EE /* LoginView.swift */,
				968A6F9F2B5F6893008609EE /* RegisterView.swift */,
				968A6FA12B5F68AA008609EE /* ForgotView.swift */,
				968A6FA32B5F68B8008609EE /* LicenceView.swift */,
			);
			path = Auth;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		968A6F5F2B5F4C99008609EE /* demo */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 968A6F702B5F4C9B008609EE /* Build configuration list for PBXNativeTarget "demo" */;
			buildPhases = (
				968A6F5C2B5F4C99008609EE /* Sources */,
				968A6F5D2B5F4C99008609EE /* Frameworks */,
				968A6F5E2B5F4C99008609EE /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = demo;
			productName = demo;
			productReference = 968A6F602B5F4C99008609EE /* demo.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		968A6F582B5F4C99008609EE /* Project object */ = {
			isa = PBXProject;
			attributes = {
				BuildIndependentTargetsInParallel = 1;
				LastSwiftUpdateCheck = 1520;
				LastUpgradeCheck = 1520;
				TargetAttributes = {
					968A6F5F2B5F4C99008609EE = {
						CreatedOnToolsVersion = 15.2;
					};
				};
			};
			buildConfigurationList = 968A6F5B2B5F4C99008609EE /* Build configuration list for PBXProject "demo" */;
			compatibilityVersion = "Xcode 14.0";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 968A6F572B5F4C99008609EE;
			productRefGroup = 968A6F612B5F4C99008609EE /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				968A6F5F2B5F4C99008609EE /* demo */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		968A6F5E2B5F4C99008609EE /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				968A6F6D2B5F4C9B008609EE /* Preview Assets.xcassets in Resources */,
				968A6F6A2B5F4C9B008609EE /* Assets.xcassets in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		968A6F5C2B5F4C99008609EE /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				968A6FA62B5F6ADC008609EE /* SearchView.swift in Sources */,
				968A6F852B5F4EB2008609EE /* MessageView.swift in Sources */,
				968A6FA02B5F6893008609EE /* RegisterView.swift in Sources */,
				968A6FB22B5FC3A2008609EE /* ShowMore.swift in Sources */,
				968A6F822B5F4EA1008609EE /* MallView.swift in Sources */,
				968A6F972B5F683E008609EE /* CouponView.swift in Sources */,
				968A6F7C2B5F4E63008609EE /* TabBar.swift in Sources */,
				968A6F8A2B5F6421008609EE /* GoodsDetailView.swift in Sources */,
				968A6F922B5F681C008609EE /* AccountView.swift in Sources */,
				968A6FAE2B5FA329008609EE /* CamelPrice.swift in Sources */,
				968A6FAC2B5F6B1C008609EE /* GoodsCommentsView.swift in Sources */,
				968A6FA42B5F68B8008609EE /* LicenceView.swift in Sources */,
				968A6FB02B5FBB86008609EE /* GoodsCard.swift in Sources */,
				968A6F9B2B5F686D008609EE /* NoticeListView.swift in Sources */,
				968A6F992B5F6860008609EE /* NoticeView.swift in Sources */,
				968A6F8E2B5F67F8008609EE /* OrderDetailView.swift in Sources */,
				968A6F7F2B5F4E91008609EE /* HomeView.swift in Sources */,
				968A6FA22B5F68AA008609EE /* ForgotView.swift in Sources */,
				968A6F792B5F4E28008609EE /* TabBarView.swift in Sources */,
				968A6FA82B5F6AF3008609EE /* CartView.swift in Sources */,
				968A6FAA2B5F6B07008609EE /* CategoryView.swift in Sources */,
				968A6FB82B6113FF008609EE /* UserAccountCardModel.swift in Sources */,
				968A6F642B5F4C99008609EE /* demoApp.swift in Sources */,
				968A6FB62B6113BE008609EE /* UserAccountCard.swift in Sources */,
				968A6F952B5F6836008609EE /* BalanceView.swift in Sources */,
				968A6FB42B610C67008609EE /* KillCountDown.swift in Sources */,
				968A6F882B5F4EC4008609EE /* UserView.swift in Sources */,
				968A6F9E2B5F688A008609EE /* LoginView.swift in Sources */,
				968A6F8C2B5F67ED008609EE /* OrdersView.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin XCBuildConfiguration section */
		968A6F6E2B5F4C9B008609EE /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				ASSETCATALOG_COMPILER_GENERATE_SWIFT_ASSET_SYMBOL_EXTENSIONS = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				ENABLE_USER_SCRIPT_SANDBOXING = YES;
				GCC_C_LANGUAGE_STANDARD = gnu17;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 17.2;
				LOCALIZATION_PREFERS_STRING_CATALOGS = YES;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = "DEBUG $(inherited)";
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		968A6F6F2B5F4C9B008609EE /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				ASSETCATALOG_COMPILER_GENERATE_SWIFT_ASSET_SYMBOL_EXTENSIONS = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_USER_SCRIPT_SANDBOXING = YES;
				GCC_C_LANGUAGE_STANDARD = gnu17;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 17.2;
				LOCALIZATION_PREFERS_STRING_CATALOGS = YES;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		968A6F712B5F4C9B008609EE /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_ASSET_PATHS = "\"demo/Preview Content\"";
				DEVELOPMENT_TEAM = X6G557VKB9;
				ENABLE_PREVIEWS = YES;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_KEY_CFBundleDisplayName = "大道至简";
				INFOPLIST_KEY_UIApplicationSceneManifest_Generation = YES;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchScreen_Generation = YES;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				IPHONEOS_DEPLOYMENT_TARGET = 15.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = tech.uzchain.demo;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		968A6F722B5F4C9B008609EE /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_ASSET_PATHS = "\"demo/Preview Content\"";
				DEVELOPMENT_TEAM = X6G557VKB9;
				ENABLE_PREVIEWS = YES;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_KEY_CFBundleDisplayName = "大道至简";
				INFOPLIST_KEY_UIApplicationSceneManifest_Generation = YES;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchScreen_Generation = YES;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				IPHONEOS_DEPLOYMENT_TARGET = 15.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = tech.uzchain.demo;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		968A6F5B2B5F4C99008609EE /* Build configuration list for PBXProject "demo" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				968A6F6E2B5F4C9B008609EE /* Debug */,
				968A6F6F2B5F4C9B008609EE /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		968A6F702B5F4C9B008609EE /* Build configuration list for PBXNativeTarget "demo" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				968A6F712B5F4C9B008609EE /* Debug */,
				968A6F722B5F4C9B008609EE /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 968A6F582B5F4C99008609EE /* Project object */;
}
